Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452140 - anaconda does not use kickstart file
Summary: anaconda does not use kickstart file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 16:01 UTC by Orion Poplawski
Modified: 2008-07-11 19:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-11 19:34:33 UTC


Attachments (Terms of Use)
Anaconda dump (deleted)
2008-06-20 19:37 UTC, Orion Poplawski
no flags Details

Description Orion Poplawski 2008-06-19 16:01:59 UTC
Description of problem:

Doing pxe/kickstart install with ks file coming from nfs or http:

Kernel command line: ks=nfs:saga:/export/data1/ks/rawhide-nox64.cfg nokill
method=http://fedora.cora.nwra.com/fedora/linux/development/x86_64/os

Kernel command line: ks=http://sw.cora.nwra.com/ks/rawhide-nox64.cfg nokill
method=http://fedora.cora.nwra.com/fedora/linux/development/x86_64/os

But it does work and is asking for install source location.  It does send a
mount request:

Jun 19 09:48:47 saga mountd[3142]: authenticated mount request from
xenfdev64.cora.nwra.com:799 for /export/data1/ks (/export/data1)

or a http request:

192.168.0.152 - - [19/Jun/2008:10:00:32 -0600] "GET /ks/rawhide-nox64.cfg
HTTP/1.0" 200 7471 "-" "anaconda/11.4.1.6"

Version-Release number of selected component (if applicable):
11.4.1.6

Comment 1 Chris Lumens 2008-06-19 18:29:04 UTC
Is it just stopping on the method selection screen, or is it completely ignoring
your method= ?  I think there's still a bug where it stops on the method
selection screen, but it has your method= supplied value highlighted by default
and will still use what you provided on the command line.  I'm just missing some
flag indicating you've already selected a method.

Comment 2 Orion Poplawski 2008-06-20 15:53:20 UTC
Screen comes up, URL is selected (which is what is in the ks file).  Hit return
and now it seems to just hang with nothing displayed (text mode btw).

Comment 3 Orion Poplawski 2008-06-20 17:14:07 UTC
Eventually got:

Unable to retrieve the install image

Comment 4 Orion Poplawski 2008-06-20 17:21:00 UTC
Next screen then listed the correct install source and hitting ok got it on to
the next step.

Comment 5 Orion Poplawski 2008-06-20 19:37:45 UTC
Created attachment 309942 [details]
Anaconda dump

Finally crashes with:

anaconda 11.4.1.6 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/yuminstall.py", line 722, in doConfigSetup
    log.warning("ignoring duplicate repository %s with URL %s" (repo.name,
repo.mirrorlist or repo.baseurl))
  File "/usr/lib/anaconda/yuminstall.py", line 433, in __init__
    self.doConfigSetup(root=anaconda.rootPath)
  File "/usr/lib/anaconda/yuminstall.py", line 1057, in doInitialSetup
    self.ayum = AnacondaYum(anaconda)
  File "/usr/lib/anaconda/backend.py", line 193, in doRepoSetup
    if anaconda.backend.doInitialSetup(anaconda) == DISPATCH_BACK:
  File "/usr/lib/anaconda/dispatch.py", line 206, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 129, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 228, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/text.py", line 540, in run
    (step, instance) = anaconda.dispatch.currentStep()
  File "/usr/bin/anaconda", line 934, in <module>
    anaconda.intf.run(anaconda)
TypeError: 'str' object is not callable

full dump attached.

Comment 6 Chris Lumens 2008-06-21 15:07:01 UTC
This will be fixed in the next build of anaconda.

Comment 7 Orion Poplawski 2008-06-26 23:06:52 UTC
I'm still seeing problems like this.  I think the real culprit may be the
network interface going up and down and possibly dhcp taking a long time.

This is a xen guest install.  Not sure how to get to other VTs in the virsh
console to see what's going on.

I'm also seeing some odd http requests:

192.168.0.152 - - [26/Jun/2008:17:00:28 -0600] "GET
/fedora/linux/development/x86_64/product.img HTTP/1.0" 200 246 "-"
"anaconda/11.4.1.9"
192.168.0.152 - - [26/Jun/2008:17:00:28 -0600] "GET
/fedora/linux/development/x86_64/os HTTP/1.0" 301 356 "-" "anaconda/11.4.1.9"
192.168.0.152 - - [26/Jun/2008:17:00:28 -0600] "GET
/fedora/linux/development/x86_64/os/ HTTP/1.0" 200 8895 "-" "anaconda/11.4.1.9"

What is product.img?

Why is it trying to access the /fedora/linux/development/x86_64/os directory
directly?

After reprompting for the install location (I accept the default given by ks
file), I then get:

192.168.0.152 - - [26/Jun/2008:17:04:38 -0600] "GET
/fedora/linux/development/x86_64/os/images/updates.img HTTP/1.0" 200 256 "-"
"anaconda/11.4.1.9"
192.168.0.152 - - [26/Jun/2008:17:04:39 -0600] "GET
/fedora/linux/development/x86_64/os/images/product.img HTTP/1.0" 200 256 "-"
"anaconda/11.4.1.9"

which I presume would be the proper locations, and the install continues.

Comment 8 Chris Lumens 2008-07-11 19:34:33 UTC
Ah, I see what's going on here.  This will be fixed for URL installs in the next
build of anaconda, though I'll still need to look at NFS and HD.  Of course,
those need to be worked on anyway given all the stage2 stuff I've done lately.


Note You need to log in before you can comment on or make changes to this bug.